This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 165976

Summary: Unresolved array element in case of complicated index
Product: cnd Reporter: nnnnnk <nnnnnk>
Component: Code ModelAssignee: nnnnnk <nnnnnk>
Status: RESOLVED FIXED    
Severity: blocker Keywords: SIMPLEFIX
Priority: P3    
Version: 6.x   
Hardware: Sun   
OS: All   
Issue Type: DEFECT Exception Reporter:

Description nnnnnk 2009-05-25 16:14:56 UTC
Example:
#define SNGL float

typedef SNGL SNGL_VECT[3];

typedef struct photon_struct PHOTON;

struct photon_struct {
  SNGL_VECT Loc;          /* location */
};

typedef PHOTON *PHOTON_BLOCK;

struct photon_map_struct {
  /* these 3 are render-thread safe - NOT pre-process thread safe */
  PHOTON_BLOCK *head;   /* the photon map - array of blocks of photons */
};

int main() {
    typedef struct photon_map_struct PHOTON_MAP;
    PHOTON_MAP *map;
    int j = 0;
    (map->head [( j )>> 14 ][( j ) & ( (16384) -1) ]).Loc;
    return 0;
}
Comment 1 nnnnnk 2009-09-21 17:52:34 UTC
It's a last error in povray.
Comment 3 Quality Engineering 2009-09-22 09:25:39 UTC
Integrated into 'main-golden', will be available in build *200909220201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/846ec90e82df
User: Nick N. Krasilnikov <nnnnnk@netbeans.org>
Log: fixed IZ#165976 : Unresolved array element in case of complicated index